@font-face {
    font-family: 'ARCADECLASSIC';
    font-weight: 900;
    font-display: swap;
    src: url('/assets/fonts/ARCADECLASSIC.TTF') format('woff2');
}

@font-face {
    font-family: 'Pretendard';
    font-weight: 900;
    font-display: swap;
    src: url('/assets/fonts/Pretendard-Black.woff2') format('woff2');
}

@font-face {
    font-family: 'Pretendard';
    font-weight: 800;
    font-display: swap;
    src: url('/assets/fonts/Pretendard-ExtraBold.woff2') format('woff2');
}

@font-face {
    font-family: 'Pretendard';
    font-weight: 700;
    font-display: swap;
    src: url('/assets/fonts/Pretendard-Bold.woff2') format('woff2');
}

@font-face {
    font-family: 'Pretendard';
    font-weight: 600;
    font-display: swap;
    src: url('/assets/fonts/Pretendard-SemiBold.woff2') format('woff2');
}

@font-face {
    font-family: 'Pretendard';
    font-weight: 500;
    font-display: swap;
    src: url('/assets/fonts/Pretendard-Medium.woff2') format('woff2');
}

@font-face {
    font-family: 'Pretendard';
    font-weight: 400;
    font-display: swap;
    src: url('/assets/fonts/Pretendard-Regular.woff2') format('woff2');
}

@font-face {
    font-family: 'Pretendard';
    font-weight: 300;
    font-display: swap;
    src: url('/assets/fonts/Pretendard-Light.woff2') format('woff2');
}

@font-face {
    font-family: 'Pretendard';
    font-weight: 200;
    font-display: swap;
    src: url('/assets/fonts/Pretendard-ExtraLight.woff2') format('woff2');
}

@font-face {
    font-family: 'Pretendard';
    font-weight: 100;
    font-display: swap;
    src: url('/assets/fonts/Pretendard-Thin.woff2') format('woff2');
}

:root {
    font-family:
        Pretendard,
        -apple-system,
        BlinkMacSystemFont,
        system-ui,
        Roboto,
        'Helvetica Neue',
        'Segoe UI',
        'Apple SD Gothic Neo',
        'Noto Sans KR',
        'Malgun Gothic',
        'Apple Color Emoji',
        'Segoe UI Emoji',
        'Segoe UI Symbol',
        sans-serif;
}

.pixel-font {
    font-family: 
        ARCADECLASSIC,
        -apple-system,
        BlinkMacSystemFont,
        system-ui,
}